Bug 1498704 - Review Request: ghc-hackage-security - Hackage security library
Summary: Review Request: ghc-hackage-security - Hackage security library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1498694 1498702
Blocks: 1498703
TreeView+ depends on / blocked
 
Reported: 2017-10-05 01:27 UTC by Elliott Sales de Andrade
Modified: 2017-12-12 11:15 UTC (History)
2 users (show)

Fixed In Version: ghc-hackage-security-0.5.2.2-6.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:15:47 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-10-05 01:27:16 UTC
Spec URL: http://qulogic.fedorapeople.org//ghc-hackage-security.spec
SRPM URL: http://qulogic.fedorapeople.org//ghc-hackage-security-0.5.2.2-1.fc26.src.rpm

Description:
The hackage security library provides both server and client utilities for
securing the Hackage package server (https://hackage.haskell.org/). It is
based on The Update Framework (https://theupdateframework.com/), a set of
recommendations developed by security researchers at various universities in
the US as well as developers on the Tor project (https://www.torproject.org/).

The current implementation supports only index signing, thereby enabling
untrusted mirrors. It does not yet provide facilities for author package
signing.

Comment 1 Elliott Sales de Andrade 2017-10-05 01:27:21 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=22260298

Comment 2 Robert-André Mauchin 2017-10-05 09:35:03 UTC
You should make a -doc subpackage:

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 2385920 bytes in 76 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

Comment 4 Robert-André Mauchin 2017-10-06 16:30:45 UTC
Package accepted.

Comment 5 Gwyn Ciesla 2017-10-06 21:36:06 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-hackage-security

Comment 6 Fedora Update System 2017-10-31 04:11:59 UTC
ghc-hackage-security-0.5.2.2-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dbc509bc53

Comment 7 Fedora Update System 2017-10-31 19:10:00 UTC
cabal-install-1.24.0.2-6.fc27, ghc-hackage-security-0.5.2.2-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dbc509bc53

Comment 8 Fedora Update System 2017-12-12 11:15:47 UTC
cabal-install-1.24.0.2-6.fc27, ghc-hackage-security-0.5.2.2-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.